{*******************************************************}
{                                                       }
{   Copyright (c) 1996 Classic Software                 }
{   All rights reserved                                 }
{                                                       }
{*******************************************************}

unit CSCCS16;

{$B-,P+,W-,X+}

interface

procedure Register;

implementation

uses
  Classes, Graphics, DsgnIntf, CSNoteBk, CSNBProp, CSADMain, CSADProp,
  CSFrmPnl, CSHRTime, CSGrid, CSProper, CSXCombo, CSRankLB;

procedure Register;
begin
  { Register Component Editors }
  RegisterComponentEditor(TcsNotebook, TcsNotebookEditor);
  RegisterComponentEditor(TcsAutoDefaults, TcsAutoDefaultsEditor);

  { Register Property Editors }
  RegisterPropertyEditor(TypeInfo(String), TcsNotebook, 'ActivePage', TcsActivePageProperty);
  RegisterPropertyEditor(TypeInfo(TStrings), TcsNotebook, 'Pages', TcsPagesProperty);
  RegisterPropertyEditor(TypeInfo(TFont), TcsNotebook, 'TabFont', TcsTabFontProperty);
  RegisterPropertyEditor(TypeInfo(String), TcsAutoDefaults, 'Filename',
                          TcsAutoDefaultsFilenameProperty);

  { Register Components }
  RegisterComponents('Classic', [TcsNotebook,
                                 TcsFormPanel,
                                 TcsAutoDefaults,
                                 TcsHiResTimer,
                                 TcsGrid,
                                 TcsProperEdit, TcsDBProperEdit,
                                 TcsComboBox, TcsDBComboBox,
                                 TcsRankListBox]);
end;

end.
